<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.2.37
Name: Complications Section (V3)
Description: This section contains problems that occurred during or around the time of a procedure. The complications may be known risks or unanticipated problems.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000">
   <title>Complications Section (V3)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.37
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]
Item: (ComplicationsSectionV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.37
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]
Item: (ComplicationsSectionV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]"
         id="d42e12452-false-d234176e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37']) &gt;= 1">(ComplicationsSectionV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37']) &lt;= 1">(ComplicationsSectionV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']) &gt;= 1">(ComplicationsSectionV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']) &lt;= 1">(ComplicationsSectionV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="count(cda:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(ComplicationsSectionV3): element cda:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="count(cda:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(ComplicationsSectionV3): element cda:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="count(cda:title) &gt;= 1">(ComplicationsSectionV3): element cda:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="count(cda:title) &lt;= 1">(ComplicationsSectionV3): element cda:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="count(cda:text) &gt;= 1">(ComplicationsSectionV3): element cda:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="count(cda:text) &lt;= 1">(ComplicationsSectionV3): element cda:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.37
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37']
Item: (ComplicationsSectionV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37']"
         id="d42e12454-false-d234253e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ComplicationsSectionV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.2.37')">(ComplicationsSectionV3): The value for root SHALL be '2.16.840.1.113883.10.20.22.2.37'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.37
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']
Item: (ComplicationsSectionV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']"
         id="d42e12464-false-d234268e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ComplicationsSectionV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.2.37')">CONF:1198-10384: The value for root SHALL be '2.16.840.1.113883.10.20.22.2.37'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="string(@extension) = ('2015-08-01')">CONF:1198-32538: The value for extension SHALL be '2015-08-01'. Found: "<value-of select="@extension"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.37
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (ComplicationsSectionV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e12488-false-d234287e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(ComplicationsSectionV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="@nullFlavor or (@code='55109-3' and @codeSystem='2.16.840.1.113883.6.1')">(ComplicationsSectionV3): The element value SHALL be one of 'code '55109-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.37
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:title
Item: (ComplicationsSectionV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:title"
         id="d42e12498-false-d234303e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(ComplicationsSectionV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.37
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:text
Item: (ComplicationsSectionV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:text"
         id="d42e12506-false-d234313e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.2.37-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(ComplicationsSectionV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.37
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:entry[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.4'][@extension = '2015-08-01']]]
Item: (ComplicationsSectionV3)
--></pattern>
