<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.18
Name: Medication Dispense (V2)
Description: This template records the act of supplying medications (i.e., dispensing).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000">
   <title>Medication Dispense (V2)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]
Item: (MedicationDispenseV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]
Item: (MedicationDispenseV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]"
         id="d42e14599-false-d239025e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="string(@classCode) = ('SPLY')">CONF:1098-7451: The value for classCode SHALL be 'SPLY'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:1098-7452: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18']) &gt;= 1">(MedicationDispenseV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18']) &lt;= 1">(MedicationDispenseV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']) &gt;= 1">(MedicationDispenseV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']) &lt;= 1">(MedicationDispenseV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:id) &gt;= 1">(MedicationDispenseV2): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:statusCode) &gt;= 1">(MedicationDispenseV2): element cda:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:statusCode) &lt;= 1">(MedicationDispenseV2): element cda:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(MedicationDispenseV2): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:repeatNumber) &lt;= 1">(MedicationDispenseV2): element cda:repeatNumber appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:quantity) &lt;= 1">(MedicationDispenseV2): element cda:quantity appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]] | cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]])"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="$elmcount &gt;= 1">(MedicationDispenseV2): choice (cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]  or  cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]) &lt;= 1">(MedicationDispenseV2): element cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]) &lt;= 1">(MedicationDispenseV2): element cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:performer[cda:assignedEntity]) &lt;= 1">(MedicationDispenseV2): element cda:performer[cda:assignedEntity] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]) &lt;= 1">(MedicationDispenseV2): element cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18']
Item: (MedicationDispenseV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18']"
         id="d42e14617-false-d239154e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationDispenseV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.18')">(MedicationDispenseV2): The value for root SHALL be '2.16.840.1.113883.10.20.22.4.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']
Item: (MedicationDispenseV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']"
         id="d42e14627-false-d239169e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationDispenseV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.18')">CONF:1098-10505: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.18'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="string(@extension) = ('2014-06-09')">CONF:1098-32580: The value for extension SHALL be '2014-06-09'. Found: "<value-of select="@extension"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:id
Item: (MedicationDispenseV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:id"
         id="d42e14651-false-d239187e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationDispenseV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:statusCode
Item: (MedicationDispenseV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:statusCode"
         id="d42e14660-false-d239197e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(MedicationDispenseV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:effectiveTime
Item: (MedicationDispenseV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:repeatNumber
Item: (MedicationDispenseV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:quantity
Item: (MedicationDispenseV2)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]
Item: (MedicationDispenseV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]
Item: (MedicationDispenseV2)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]
Item: (MedicationDispenseV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]"
         id="d42e14710-false-d239266e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:assignedEntity[not(@nullFlavor)]) &gt;= 1">(MedicationDispenseV2): element cda:assignedEntity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:assignedEntity[not(@nullFlavor)]) &lt;= 1">(MedicationDispenseV2): element cda:assignedEntity[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]
Item: (MedicationDispenseV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]"
         id="d42e14717-false-d239287e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="count(cda:addr) &lt;= 1">(MedicationDispenseV2): element cda:addr appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr
Item: (MedicationDispenseV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr"
         id="d42e14721-false-d239305e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(MedicationDispenseV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.5.2
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr/cda:addr
Item: (USRealmAddressADUSFIELDED)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr/cda:addr"
         id="d239301e160-false-d239326e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor) &gt; 0 and not(matches(@nullFlavor,'\s')))">(USRealmAddressADUSFIELDED): Attribute @nullFlavor SHALL be of data type 'cs'  - '<value-of select="@nullFlavor"/>'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="not(@use) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.10637-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">CONF:81-7290: The value for use SHALL be selected from value set '2.16.840.1.113883.1.11.10637' PostalAddressUse (DYNAMIC).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="@nullFlavor or (cda:country='US' and cda:state) or (cda:country!='US') or (not(cda:country) and cda:state)">(USRealmAddressADUSFIELDED): State is required if the country is US. If country is not specified, it's assumed to be US. If country is something other than US, the state MAY be present but MAY be bound to different vocabularies.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="@nullFlavor or (count(cda:streetAddressLine) &gt; 0 and count(cda:streetAddressLine) &lt; 5)">(USRealmAddressADUSFIELDED): SHALL contain at least one and not more than 4 streetAddressLine (CONF:81-7291)</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="@nullFlavor or (cda:city and cda:streetAddressLine) ">(USRealmAddressADUSFIELDED): </assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="count(cda:country[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.63-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(USRealmAddressADUSFIELDED): element cda:country[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.63-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="count(cda:state[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(USRealmAddressADUSFIELDED): element cda:state[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="count(cda:city) &gt;= 1">(USRealmAddressADUSFIELDED): element cda:city is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="count(cda:city) &lt;= 1">(USRealmAddressADUSFIELDED): element cda:city appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="count(cda:postalCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(USRealmAddressADUSFIELDED): element cda:postalCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="count(cda:streetAddressLine) &gt;= 1">(USRealmAddressADUSFIELDED): element cda:streetAddressLine is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="count(cda:streetAddressLine) &lt;= 4">(USRealmAddressADUSFIELDED): element cda:streetAddressLine appears too often [max 4x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.5.2
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr/cda:addr/cda:country[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.63-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (USRealmAddressADUSFIELDED)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr/cda:addr/cda:country[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.63-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d239301e177-false-d239395e0">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(USRealmAddressADUSFIELDED): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.63-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(USRealmAddressADUSFIELDED): The element value SHALL be one of '2.16.840.1.113883.3.88.12.80.63 Country (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.5.2
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr/cda:addr/cda:state[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (USRealmAddressADUSFIELDED)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr/cda:addr/cda:state[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d239301e187-false-d239418e0">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(USRealmAddressADUSFIELDED): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(USRealmAddressADUSFIELDED): The element value SHALL be one of '2.16.840.1.113883.3.88.12.80.1 StateValueSet (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.5.2
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr/cda:addr/cda:city
Item: (USRealmAddressADUSFIELDED)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr/cda:addr/cda:city"
         id="d239301e252-false-d239438e0">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(USRealmAddressADUSFIELDED): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.5.2
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr/cda:addr/cda:postalCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (USRealmAddressADUSFIELDED)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr/cda:addr/cda:postalCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d239301e260-false-d239451e0">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(USRealmAddressADUSFIELDED): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.2-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(USRealmAddressADUSFIELDED): The element value SHALL be one of '2.16.840.1.113883.3.88.12.80.2 PostalCode (DYNAMIC)'.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="@nullFlavor or (cda:country='US' and cda:postalCode) or (cda:country!='US') or (not(cda:country) and cda:postalCode)">(USRealmAddressADUSFIELDED): If the country is US, the postalCode element is required but SHOULD have @nullFlavor if the postalCode is unknown. If country is not specified, it's assumed to be US. If country is something other than US, the postalCode MAY be present but
                    MAY be bound to different vocabularies (CONF:81-10025).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.5.2
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr/cda:addr/cda:streetAddressLine
Item: (USRealmAddressADUSFIELDED)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:performer[cda:assignedEntity]/cda:assignedEntity[not(@nullFlavor)]/cda:addr/cda:addr/cda:streetAddressLine"
         id="d239301e280-false-d239471e0">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.5.2-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(USRealmAddressADUSFIELDED): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.18
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]
Item: (MedicationDispenseV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]/cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.10.20.22.4.18-2014-06-09T000000.html"
              test="string(@typeCode) = ('REFR')">CONF:1098-7474: The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
