<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.48
Name: XeH Ordering Provider
Description: XeH Ordering Provider
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.48-2021-11-29T173633">
   <title>XeH Ordering Provider</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]
Item: (XeHOrderingProvider)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]"
         id="d42e35330-false-d394582e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="string(@typeCode) = ('REF')">(XeHOrderingProvider): The value for typeCode SHALL be 'REF'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6']) &gt;= 1">(XeHOrderingProvider): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6']) &lt;= 1">(XeHOrderingProvider): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']) &gt;= 1">(XeHOrderingProvider): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']) &lt;= 1">(XeHOrderingProvider): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:time) &gt;= 1">(XeHOrderingProvider): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:time) &lt;= 1">(XeHOrderingProvider): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:associatedEntity) &gt;= 1">(XeHOrderingProvider): element hl7:associatedEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:associatedEntity) &lt;= 1">(XeHOrderingProvider): element hl7:associatedEntity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6']
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6']"
         id="d42e35337-false-d394629e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.3.3.1.6')">(XeHOrderingProvider): The value for root SHALL be '1.3.6.1.4.1.19376.1.3.3.1.6'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']"
         id="d42e35342-false-d394644e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.48')">(XeHOrderingProvider): The value for root SHALL be '2.16.840.1.113883.2.51.10.48'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:time
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:time"
         id="d42e35347-false-d394658e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity"
         id="d42e35354-false-d394668e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="not(hl7:assignedPerson) or hl7:assignedPerson/hl7:name">(XeHOrderingProvider): The &lt;name&gt; sub-element SHALL be present when &lt;assignedPerson&gt; present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:addr) &gt;= 1">(XeHOrderingProvider): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:telecom) &gt;= 1">(XeHOrderingProvider): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:associatedPerson) &lt;= 1">(XeHOrderingProvider): element hl7:associatedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="count(hl7:scopingOrganization) &lt;= 1">(XeHOrderingProvider): element hl7:scopingOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:addr
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:addr"
         id="d42e35356-false-d394700e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:telecom
Item: (XeHOrderingProvider)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:telecom"
         id="d42e35362-false-d394710e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220527T135305/tmp-2.16.840.1.113883.2.51.10.48-2021-11-29T173633.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHOrderingProvider): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:associatedPerson
Item: (XeHOrderingProvider)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.48
Context: *[hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]]/hl7:participant[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.6'] and hl7:templateId[@root = '2.16.840.1.113883.2.51.10.48']]/hl7:associatedEntity/hl7:scopingOrganization
Item: (XeHOrderingProvider)
-->
</pattern>
